getList withdrawals

Required capabilitywithdrawals.read

Request

Request URL

GET
GET /withdrawals

Responses

Response

application/json
{
  "items": [
    {
      "account_ref": "client-accounts/b8e2f1a0-4c3d-4e5f-9a1b-2c3d4e5f6a7b",
      "approval_ref": null,
      "created_at": "2026-05-01T10:00:00Z",
      "destination_id": "b8e2f1a0-4c3d-4e5f-9a1b-2c3d4e5f6a7b",
      "dispatch_attempt_id": null,
      "failure_reason": null,
      "family": "withdrawal",
      "family_flow_id": "b8e2f1a0-4c3d-4e5f-9a1b-2c3d4e5f6a7b",
      "fee_summary": {
        "components": [
          {
            "amount": {
              "currency": "USDC",
              "value": "1.00"
            },
            "kind": "network_fee"
          }
        ],
        "total": {
          "currency": "USDC",
          "value": "1.00"
        }
      },
      "fee_transaction_ids": [],
      "fill_rate": null,
      "hold_id": "b8e2f1a0-4c3d-4e5f-9a1b-2c3d4e5f6a7b",
      "id": "b8e2f1a0-4c3d-4e5f-9a1b-2c3d4e5f6a7b",
      "leg_attempt_id": "b8e2f1a0-4c3d-4e5f-9a1b-2c3d4e5f6a7b",
      "network": "ethereum",
      "principal_amount": {
        "currency": "USDC",
        "value": "250.00"
      },
      "principal_transaction_id": null,
      "rail": "ethereum",
      "rail_class": "crypto",
      "release_transaction_id": null,
      "settled_at": null,
      "settlement_evidence": null,
      "status": "executing",
      "subject_attribution": {
        "actor": null,
        "approved_by": null,
        "authenticated_principal": {
          "id": "b8e2f1a0-4c3d-4e5f-9a1b-2c3d4e5f6a7b",
          "kind": "user",
          "tenant_ref": "enterprises/b8e2f1a0-4c3d-4e5f-9a1b-2c3d4e5f6a7b"
        },
        "enterprise_binding": {
          "tenant_type": "enterprise",
          "topology_ref": "enterprises/b8e2f1a0-4c3d-4e5f-9a1b-2c3d4e5f6a7b"
        },
        "federation": null,
        "identity_source": "platform-managed",
        "initiated_by": null,
        "subject": {
          "id": "b8e2f1a0-4c3d-4e5f-9a1b-2c3d4e5f6a7b",
          "kind": "user",
          "tenant_ref": "enterprises/b8e2f1a0-4c3d-4e5f-9a1b-2c3d4e5f6a7b"
        }
      },
      "updated_at": "2026-05-01T10:00:00Z",
      "withdrawal_attempt_id": null
    }
  ],
  "next_page_token": null
}

Operation succeeded.